package org.linlinjava.jz.db.service;

import org.linlinjava.jz.db.dao.JzFaqLabelMapper;
import org.linlinjava.jz.db.domain.JzFaqExample;
import org.linlinjava.jz.db.domain.JzFaqLabel;
import org.linlinjava.jz.db.domain.JzFaqLabelExample;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 知识库标签
 */
@Service
public class JzFAQLabelService {

    @Resource
    private JzFaqLabelMapper labelMapper;

    public List<JzFaqLabel> list(int faqId){
        JzFaqLabelExample example=new JzFaqLabelExample();
        example.or().andFaqIdEqualTo(faqId).andDeletedEqualTo(false);

       return labelMapper.selectByExample(example);
    }
}
